export default cube;
export type CubeOptions = {
    sx?: number;
    sy?: number;
    sz?: number;
    nx?: number;
    ny?: number;
    nz?: number;
};
/**
 * @typedef {Object} CubeOptions
 * @property {number} [sx=1]
 * @property {number} [sy=sx]
 * @property {number} [sz=sx]
 * @property {number} [nx=1]
 * @property {number} [ny=nx]
 * @property {number} [nz=nx]
 */
/**
 * @alias module:cube
 * @param {CubeOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function cube({ sx, sy, sz, nx, ny, nz }?: CubeOptions, ...args: any[]): import("../types.js").SimplicialComplex;
