export default cylinder;
export type CylinderOptions = {
    height?: number;
    radius?: number;
    nx?: number;
    ny?: number;
    radiusApex?: number;
    capSegments?: number;
    capApex?: boolean;
    capBase?: boolean;
};
/**
 * @typedef {Object} CylinderOptions
 * @property {number} [height=1]
 * @property {number} [radius=0.25]
 * @property {number} [nx=16]
 * @property {number} [ny=1]
 * @property {number} [radiusApex=radius]
 * @property {number} [capSegments=1]
 * @property {boolean} [capApex=true]
 * @property {boolean} [capBase=true]
 */
/**
 * @alias module:cylinder
 * @param {CylinderOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function cylinder({ height, radius, nx, ny, radiusApex, capSegments, capApex, capBase, capBaseSegments, }?: CylinderOptions, ...args: any[]): import("../types.js").SimplicialComplex;
