export default plane;
export type PlaneDirection = "x" | "-x" | "y" | "-y" | "z" | "-z";
export type PlaneOptions = {
    sx?: number;
    sy?: number;
    nx?: number;
    ny?: number;
    direction?: string;
};
/**
 * @typedef {"x" | "-x" | "y" | "-y" | "z" | "-z"} PlaneDirection
 */
/**
 * @typedef {Object} PlaneOptions
 * @property {number} [sx=1]
 * @property {number} [sy=sx]
 * @property {number} [nx=1]
 * @property {number} [ny=nx]
 * @property {string} [direction="z"]
 */
/**
 * @alias module:plane
 * @param {PlaneOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function plane({ sx, sy, nx, ny, direction }?: PlaneOptions, ...args: any[]): import("../types.js").SimplicialComplex;
