export default roundedCube;
export type RoundedCubeOptions = {
    sx?: number;
    sy?: number;
    sz?: number;
    nx?: number;
    ny?: number;
    nz?: number;
    radius?: number;
};
/**
 * @typedef {Object} RoundedCubeOptions
 * @property {number} [sx=1]
 * @property {number} [sy=sx]
 * @property {number} [sz=sx]
 * @property {number} [nx=16]
 * @property {number} [ny=nx]
 * @property {number} [nz=nx]
 * @property {number} [radius=sx * 0.25]
 */
/**
 * @alias module:rounded-cube
 * @param {RoundedCubeOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function roundedCube({ sx, sy, sz, nx, ny, nz, radius, }?: RoundedCubeOptions, ...args: any[]): import("../types.js").SimplicialComplex;
