export default torus;
export type TorusOptions = {
    radius?: number;
    segments?: number;
    minorRadius?: number;
    minorSegments?: number;
    arc?: number;
};
/**
 * @typedef {Object} TorusOptions
 * @property {number} [radius=0.5]
 * @property {number} [segments=64]
 * @property {number} [minorRadius=0.1]
 * @property {number} [minorSegments=16]
 * @property {number} [arc=2 * Math.PI]
 */
/**
 * @alias module:torus
 * @param {TorusOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function torus({ radius, segments, minorRadius, minorSegments, arc, }?: TorusOptions, ...args: any[]): import("../types.js").SimplicialComplex;
