/**
 * Normalize a vector 3.
 * @param {number[]} v Vector 3 array
 * @returns {number[]} Normalized vector
 */
export function normalize(v: number[]): number[];
/**
 * Ensure first argument passed to the primitive functions is an object
 * @param {...*} args
 */
export function checkArguments(args: any[]): void;
/**
 * Enforce a typed array constructor for cells
 * @param {(Class<Uint8Array>|Class<Uint16Array>|Class<Uint32Array>)} type
 */
export function setTypedArrayType(type: (Class<Uint8Array> | Class<Uint16Array> | Class<Uint32Array>)): void;
/**
 * @private
 */
export function computePlane(geometry: any, indices: any, su: any, sv: any, nu: any, nv: any, direction?: string, pw?: number): any;
/**
 * @module utils
 */
/**
 * Two times PI.
 * @constant {number}
 */
export const TAU: number;
export function getCellsTypedArray(size: number): (Uint8Array | Uint16Array | Uint32Array);
/**
 * @private
 */
export const TMP: number[];
